tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: annotated bulk failures, pre-2011Q4 edition

On Tue, Dec 20, 2011 at 04:22:53AM +0000, David Holland wrote:
 >  > Here is what's currently broken when building on NetBSD -current,
 >  > based on both Joerg's and my builds.
 > Update as of tonight:

as of this morning:

   devel/libjit                 games/boson
   games/craft                  graphics/MesaDemos
   lang/lush                    mail/elmo
   math/openaxiom               math/pspp
   misc/jive                    multimedia/mplayer-plugin
   net/mcast-tools              net/pim6sd
   net/rabbitmq                 net/yale-tftpd
   news/xrn                     pkgtools/gnome-packagekit
   security/pam-tacplus         wm/waimea


marked broken on LP64:

info updated:
   databases/cstore             devel/xsd
   editors/mule                 editors/xemacs-current
   math/R-geoR                  math/py-scipy


144 failures:

cad/boolean             C++ issues
chat/centericq          bad libstdc++ version skew
converters/p5-MARC-Charset      (**) p5-gdbm is borked, PR 44985
cross/h8300-hms-gcc     PLIST conflict with its binutils
databases/cstore        (**) throws exception during build
databases/postgresql-postgis    some kind of libtool problem
databases/sqlsharpgtk   mono issues (cf. f-spot, dcsharp)
devel/ArX               general build failure
devel/clisp-syscalls    unclear, needs lisp hacker
devel/electric-fence    (*) SIGSEGV during build
devel/frama-c           cannot find -lnspr4 using ocaml (****)
devel/gcvs              (*) gssapi/kerberos issues
devel/guile-gnome       unclean cpp hackery
devel/mico              (*) internal assertion failure during build
devel/monotone-viz      cannot find -lnspr4 using ocaml (****)
devel/opencm            problems compiling lex output
devel/p5-Memoize        PLIST conflict with base perl
devel/p5-Tie-File       PLIST conflict with base perl
devel/swt               xulrunner problem
devel/valide            requires newer vala
devel/xsd               C++ issues (boost::filesystem::path) and/or PR 43691
editors/emacs21{,-nox11}        merge emacs20 patch for cpp configure fixes
editors/emacs22{,-nox11}        (*) SIGSEGV during build
editors/mule            temacs segfault (merge fix from emacs20)
editors/xemacs-current  SIGSEGV during build (PR 35500) (***)
emulators/palmosemulator        probable compile-time-assertion failure
emulators/twin          config problem? + energizer-bunny-makefiles
emulators/xm7           missing distfile
finance/kmymoney2       C++ issues relating to qt3
games/exult             (**) error compiling bison output as C++
games/pokerth           boost issues (***)
geography/qgis          unclear (internal problem?)
graphics/aqsis          needs (nontrivial) update
graphics/camlimages     (*) issues finding freetype even though buildlinked
graphics/f-spot         mono issues (cf. sqlsharpgtk, dcsharp)
graphics/hugin          needs png patches (or, use pkgsrc vigra?)
graphics/kipi-plugins-calendar-kde3     (*) trying to use kdegraphics4 (!?)
graphics/lprof          general build failure (***)
graphics/py-matplotlib-tk       exception during build (only with python27)
graphics/xpaint         needs png patches
inputmethod/iiimecf     "I cannot find Mule-UCS." (***)
lang/cint               C++ issues + energizer-bunny-makefiles
lang/gcc3-java          sub-configure failure, unclear why (***)
lang/gcc46              (*) sub-configure failure: "cannot compile"
lang/mercury            crashes during build
lang/objc               passes itself invalid arguments (***)
lang/ocamlduce          needs updating to match ocaml (***)
lang/polyml             unclear on whether it's doing i386 vs. amd64 (***)
lang/racket             (*) killed during build
lang/sbcl               (*) killed during build
lang/smalltalk          finds base's sqlite3, causing plist divergence
mail/sympa              (*) broken user/group handling
math/R-geoR             depends need to be packaged
math/blitz++            C++ issues
math/ntl                C++ issues
math/octave-forge       doesn't work with current octave
math/py-pytables        (*) internal python assertion (py25 only)
math/py-scipy           missing PRIdPTR (py27 only)
mbone/vic-devel         version skew against x264 encoder
misc/kdepim-runtime4    (**) SIGSEGV during configure
misc/kdepim4            (**) SIGSEGV during build
misc/koffice            kde lib version skew?
misc/root               needs png patches
misc/window             bad pointer casts
multimedia/bsdav        (**) various files not installed
multimedia/gecko-mediaplayer            xulrunner version skew (just const)
multimedia/gxine        (**) undefined references to own symbols
multimedia/libflashsupport-pulse        PLIST conflict with suse32-base
multimedia/mpeg4ip      needs -fno-strict-aliasing
multimedia/vlc08        doesn't like current ffmpeg (***)
multimedia/vls          some kind of codec version skew
net/arla                (**) kerberos issues
net/citrix_ica          probably lacking x86_64 support (***)
net/dcsharp             mono issues (cf. sqlsharpgtk, f-spot)
net/delegate            C++ issues
net/djbdns              patching fails
net/hping3              bpf issues (cf. sniffit, p0f, prelude-pflogger)
net/ispman              unclear installation problems (***)
net/kdenetwork4         (**) SIGSEGV during build
net/mldonkey-gui        cannot find -lnspr4 using ocaml (****)
net/mppe-lkm            requires kernel sources, fails messily (***)
net/nagios-imagepak-base        PLIST conflict with nagios-base
net/nasd                SIGSEGV during build
net/nocol               probably not MAKE_JOBS_SAFE
net/omniNotify          C++ issues
net/openafs             needs sysname; also, time_t issues (***)
net/openwbem            libstdc++ issues
net/powerdns-recursor   boost issues
net/py-omniORBpy        plist conflict with omniORB (for default python only)
net/sniffit             bpf issues (cf. hping3, p0f, prelude-pflogger)
net/ttt                 'BIOCGBLEN' undeclared
net/wu-ftpd             needs to learn about new quota APIs (*****)
net/xipdump             'BIOCIMMEDIATE' undeclared
news/nget               C++ issues
news/nn                 tries to use cpp on makefiles
parallel/openmpi        extra stuff installed
parallel/sge            SIGSEGV during build (***)
pkgtools/pkg_select     legacy C code
print/LPRng-core        (**) work directory references
print/cjk-lyx           (*) C++ issues? or maybe just linking trouble
print/ruby-prawn        syntax error (ruby18 only)
print/tcl-pdflib        libtool problem
print/tex-bagpipetex    can't read file it just wrote (!?)
security/dnssec-tools   (*) "Could not locate dnssec-keygen."
security/knc            (*) gssapi/kerberos issues
security/lsh            (*) extra stuff installed
security/p0f            bpf issues (cf. hping3, sniffit, prelude-pflogger)
security/pam-af         legacy C code
security/prelude-pflogger       bpf issues (cf. hping3, sniffit, p0f)
security/py-m2crypto    openssl problems
security/sfs            C++ issues (***)
sysutils/burn           objc issues
sysutils/cdbkup         fails on default $PATH not including /sbin (***)
sysutils/grub           (**) "cannot run C compiled programs"
sysutils/p5-Sys-Filesystem      (*) "env: ./Build: No such file or directory"
sysutils/ruby-quota     needs to learn about new quota APIs (*****)
sysutils/setquota       needs to learn about new quota APIs (*****)
sysutils/sformat        probably doesn't support amd64
sysutils/strace         requires kernel sources, fails messily (***)
sysutils/wipe           'DIOCGPART' undeclared
sysutils/xenkernel{3,33}        "variably modified ... at file scope"
sysutils/xentools33             "variably modified ... at file scope"
textproc/p5-Text-BibTeX "Can't locate Config/AutoConf/"
wm/afterstep            lots of files not installed (***)
wm/fvwm-themes          (*) lots of files not installed
wm/obconf               cannot find 'obrender' and 'obparser'
www/amaya               C++ issues
www/ap-auth-mysql       general build failure (apache13 only, apxs-related)
www/ap-ssl              openssl problems
www/ap2-authn-otp       "mod_auth.h: No such file or directory"
www/ap2-xslt2           trouble compiling yacc output
www/blur6ex             (*) conflicting mysql versions?
www/nvu                 C++ issues
www/pound               openssl problems (?)
www/ruby-actionpack3    trying to depend on multiple versions of ruby-i18n
www/sope                cannot find libxml2 even though buildlinked (***)
x11/grandr_applet       gnome issues
x11/openbsd-input-ws    doesn't work with current X server (***)
x11/py-gnome2-desktop   depends on multiple python versions (***)
x11/qt4-creator         "qdoc: error: Cannot open file '-creator'"
x11/ruby-wxruby         wants newer swig

(*) These appear in Joerg's last bulk build but I can't replicate the
failure in my environment.

(**) These appear in my environment but not in Joerg's builds, and
it's not clear why.

(***) These packages have been broken since at least July 2010,
according to a bulk failures mail I sent out then. Depressing, eh?

(****) I have an uncommitted fix for these that requires some fiddling
before it can be committed.

(*****) It's not really worth doing anything about this until the new
libquota gets committed to NetBSD HEAD; this should happen before the
pkgsrc freeze is over.

David A. Holland

Home | Main Index | Thread Index | Old Index